Skip to main content
v1

Get a single process by ID.

GET /v1/processes/{id}: request parameters and responses.

GET /v1/processes/{id}

Returns the current state of a managed process including its status, PID, exit code, and creation/exit timestamps.

Parameters

NameInRequiredTypeDescription
idpathYesstringProcess ID

Parameter schemas

[
  {
    "name": "id",
    "in": "path",
    "description": "Process ID",
    "required": true,
    "schema": {
      "type": "string"
    }
  }
]

Responses

200

Process details

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProcessInfo"
  }
}

Related schemas: ProcessInfo.

404

Unknown process

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

501

Process API unsupported on this platform

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.